{% extends 'base/base.html' %}

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>{%block title%} Lista Tecnicos {% endblock title %}</title>
</head>
<body>
    {% block content %}
    <a href="{% url 'home:createtecnicos' %}" class="btn btn-outline-primary form-control">Añadir nuevo Técnico!</a>
    <table class="table table-striped table-hover">
        <thead>
            <th>Número</th>
            <th>Nombre de pila</th>
            <th>Primer apellido</th>
            <th>Segundo apellido</th>
            <th>Número teléfonico</th>
            <th>Correo</th>
            <th>Usuario</th>
            <th>Contraseña</th>
        </thead>
        <tbody>
            {% for Tecnico in Tecnico %}
                <tr>
                    <td>{{ Tecnico.Numero }}</td>
                    <td>{{ Tecnico.NomPila }}</td>
                    <td>{{ Tecnico.PrimApell }}</td>
                    <td>{{ Tecnico.SegApell }}</td>
                    <td>{{ Tecnico.NumTel }}</td>
                    <td>{{ Tecnico.Correo }}</td>
                    <td>{{ Tecnico.Usuario }}</td>
                    <td>{{ Tecnico.Contraseña }}</td>
                    <td><a href="{% url 'home:detailtecnicos' Tecnico.Numero %}" class="btn btn-outline-info"> Detalles </a></td>
                    <td><a href="{% url 'home:Updatetecnicos' Tecnico.Numero %}" class="btn btn-outline-warning"> Actualizar</a></td>
                    <td><a href="{% url 'home:deletetecnicos' Tecnico.Numero %}" class="btn btn-outline-danger">Eliminar</a></td>
                </tr>
            {% endfor %}
        </tbody>
    </table>

    <footer class="text-center text-white" style="background-color: #0a4275;">
        <div class="container p-4 pb-0">
            <section class="">
                <p class="d-flex justify-content-center align-items-center">
                    <span class="me-3">Gestión de citas para el corazón de tu industria: Bienvenido a MachineryFix.</span>
                </p>
            </section>
        </div>
        <div class="text-center p-3" style="background-color: rgba(0, 0, 0, 0.2);">
            © 2023 Copyright:
            <a class="text-white" href="https://mdbootstrap.com/">MachineryFix.com</a>
        </div>
    </footer>

    {% endblock content %}
</body>
</html>